Skip to main content
GET
/
api
/
account
/
{stakeAddress}
/
utxos
Account UTxOs
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/account/{stakeAddress}/utxos \
  --header 'Authorization: Bearer <token>'
{
  "txHash": "<string>",
  "txIndex": 123,
  "address": "<string>",
  "value": "<string>",
  "stakeAddress": "<string>",
  "paymentCred": "<string>",
  "epochNo": 123,
  "blockHeight": 123,
  "blockTime": 123,
  "datumHash": "<string>",
  "inlineDatum": {
    "bytes": "<string>",
    "json": "<unknown>"
  },
  "referenceScript": {
    "hash": "<string>",
    "size": 123,
    "type": "<string>",
    "bytes": "<string>",
    "json": "<unknown>"
  },
  "assetList": [
    {
      "policyId": "<string>",
      "assetName": "<string>",
      "fingerprint": "<string>",
      "decimals": 123,
      "quantity": "<string>"
    }
  ],
  "isSpent": true
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

stakeAddress
string
required
Required string length: 59 - 200
Pattern: ^(stake1[a-z0-9]{53}|stake_test1[a-z0-9]{48,53})$

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Response

Account UTxOs retrieved successfully

txHash
string
txIndex
integer<int32>
address
string
value
string
stakeAddress
string
paymentCred
string
epochNo
integer<int32>
blockHeight
integer<int32>
blockTime
integer<int64>
datumHash
string
inlineDatum
object
referenceScript
object
assetList
object[]
isSpent
boolean